Get per-node activity tiles
GET
/api/v1/stats/activity/node-tiles/{env}/{uuid}
const url = 'https://osctrl.net/api/v1/stats/activity/node-tiles/example/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/stats/activity/node-tiles/example/example \ --header 'Authorization: <Authorization>'Returns Redis-backed hourly activity series for a node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
uuid
required
string
Node UUID
Query Parameters
Section titled “Query Parameters”days
integer
Days of history (1-7, default 1)
Responses
Section titled “Responses”OK
Media typeapplication/json
object
bucket_seconds
integer
config
Array<integer>
enroll
Array<integer>
query_read
Array<integer>
query_write
Array<integer>
result
Array<integer>
start
string
status
Array<integer>
status_error
Array<integer>
total
Array<integer>
Examplegenerated
{ "bucket_seconds": 1, "config": [ 1 ], "enroll": [ 1 ], "query_read": [ 1 ], "query_write": [ 1 ], "result": [ 1 ], "start": "example", "status": [ 1 ], "status_error": [ 1 ], "total": [ 1 ]}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}